Summary: Bitstream Charter in T1 encoding, Czech characters revisited.
Name: charter
Version: 1.0
Release: 1
Copyright: distributable
Group: Applications/Publishing/TeX
Requires: tetex
Source: charter.tar.gz
Packager: Jan "Yenya" Kasprzak <kas@muni.cz>

%description
This package contains tfm and vf files for typesetting Czech text
in Bitstream Charter fonts. These tfm and vf files are different
from those in teTeX package -- accents on some characters were
revisited to match the Czech typographical rules better.

%prep

%setup -n charter

%build
/bin/true

%install

test -d /usr/lib/texmf/texmf/fonts/vf/bitstrea/charter \
	|| mkdir -p /usr/lib/texmf/texmf/fonts/vf/bitstrea/charter
cp vf/*.vf /usr/lib/texmf/texmf/fonts/vf/bitstrea/charter
test -d /usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter \
	|| mkdir -p /usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter
cp tfm/*.tfm /usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter

%post
texhash
echo -n "Updating psfonts.map ..."
awk '	$1 == "bchr" { next }
	$1 == "bchri" { next }
	$1 == "bchro" { next }
	$1 == "bchru" { next }
	$1 == "bchb" { next }
	$1 == "bchbi" { next }
	$1 == "bchbo" { next }
	$1 == "bchbu" { next }
	{ print }
END {
	print "bchr	CharterBT-Roman		<bchr8a.pfb"
	print "bchri	CharterBT-Italic	<bchri8a.pfb"
	print "bchro	CharterBT-Roman	\".194 SlantFont\"	<bchr8a.pfb"
	print "bchru	CharterBT-Italic	\"-.194 SlantFont\"	<bchri8a.pfb"
	print "bchb	CharterBT-Bold		<bchb8a.pfb"
	print "bchbi	CharterBT-BoldItalic	<bchbi8a.pfb"
	print "bchbo	CharterBT-Bold	\".194 SlantFont\"	<bchb8a.pfb"
	print "bchbu	CharterBT-BoldItalic	\"-.194 SlantFont\"	<bchbi8a.pfb"
}' </usr/lib/texmf/texmf/dvips/psfonts.map >/usr/lib/texmf/texmf/dvips/psfonts.map.new
mv /usr/lib/texmf/texmf/dvips/psfonts.map /tmp/psfonts.map
mv /usr/lib/texmf/texmf/dvips/psfonts.map.new /usr/lib/texmf/texmf/dvips/psfonts.map
echo " Done. Original psfonts.map saved as /tmp/psfonts.map."

%postun
/usr/bin/texhash
echo -n "Updating psfonts.map ..."
awk '   $1 == "bchr" { next }
        $1 == "bchri" { next }
        $1 == "bchro" { next }
        $1 == "bchru" { next }
        $1 == "bchb" { next }
        $1 == "bchbi" { next }
        $1 == "bchbo" { next }
        $1 == "bchbu" { next }
        { print }
' </usr/lib/texmf/texmf/dvips/psfonts.map >/usr/lib/texmf/texmf/dvips/psfonts.map.new
mv /usr/lib/texmf/texmf/dvips/psfonts.map /tmp/psfonts.map
mv /usr/lib/texmf/texmf/dvips/psfonts.map.new /usr/lib/texmf/texmf/dvips/psfonts.map
echo " Done. Original psfonts.map saved as /tmp/psfonts.map."

%files
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchb.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchbcq.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchbi.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchbiq.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchbo.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchboq.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchbq.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchbu.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchbuq.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchr.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchrcq.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchri.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchriq.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchro.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchroq.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchrq.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchru.tfm
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/charter/bchruq.tfm
/usr/lib/texmf/texmf/fonts/vf/bitstrea/charter/bchbcq.vf
/usr/lib/texmf/texmf/fonts/vf/bitstrea/charter/bchbiq.vf
/usr/lib/texmf/texmf/fonts/vf/bitstrea/charter/bchboq.vf
/usr/lib/texmf/texmf/fonts/vf/bitstrea/charter/bchbq.vf
/usr/lib/texmf/texmf/fonts/vf/bitstrea/charter/bchbuq.vf
/usr/lib/texmf/texmf/fonts/vf/bitstrea/charter/bchrcq.vf
/usr/lib/texmf/texmf/fonts/vf/bitstrea/charter/bchriq.vf
/usr/lib/texmf/texmf/fonts/vf/bitstrea/charter/bchroq.vf
/usr/lib/texmf/texmf/fonts/vf/bitstrea/charter/bchrq.vf
/usr/lib/texmf/texmf/fonts/vf/bitstrea/charter/bchruq.vf
